Skip to content
Get started

Fetch in-depth information about a single risk event

GET/v1/risk-events/{urn}

Fetch in-depth information about a single risk event

Path ParametersExpand Collapse
urn: string
ReturnsExpand Collapse
ai_risk_level_recommendation: object { explanation, recommended_risk_level }

AI's risk level recommendation for this event, if available. AI recommendations are made automatically, shortly after a risk event is discovered.

explanation: string

The explanation for the AI's risk level recommendation

Accepts one of the following:
created_at: string

An ISO-8601-formatted timestamp representing when the risk event was created (UTC)

formatdate-time
description: string

The risk event's description

name: string

The risk event's display name

review_status: "PENDING" or "VERIFYING" or "APPLICABLE" or "NOT_APPLICABLE"

The current review status of the risk event, representing where it is in the triage process.

Accepts one of the following:
"PENDING"
"VERIFYING"
"APPLICABLE"
"NOT_APPLICABLE"
risk_level: "UNASSIGNED" or "NONE" or "LOW" or 3 more

The finalized, user-determined risk level for the event (if set)

Accepts one of the following:
"UNASSIGNED"
"NONE"
"LOW"
"MEDIUM"
"HIGH"
"CRITICAL"
source_type: "STATUS_PAGE" or "MONITOR" or "NEWS" or "SEC_FILING"

The type of the risk event

Accepts one of the following:
"STATUS_PAGE"
"MONITOR"
"NEWS"
"SEC_FILING"
url: string

A URL with more information about the risk event

urn: string

A unique identifier for the risk event

vendor: object { created_at, description, name, urn }

Details about the vendor associated with this risk event.

created_at: string

An ISO-8601-formatted timestamp representing when the vendor was created (UTC)

formatdate-time
description: string

The vendor's description

name: string

The vendor's display name

urn: string

A unique identifier for the vendor

category_tags: optional array of string

Tags indicating the nature of the risk event.

Fetch in-depth information about a single risk event

curl https://developer.clarative.ai/v1/risk-events/$URN \
    -H "Authorization: Bearer $CLARATIVE_API_KEY"
{
  "ai_risk_level_recommendation": {
    "explanation": "explanation",
    "recommended_risk_level": "UNASSIGNED"
  },
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "name": "name",
  "review_status": "PENDING",
  "risk_level": "UNASSIGNED",
  "source_type": "STATUS_PAGE",
  "url": "url",
  "urn": "urn",
  "vendor": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "name": "name",
    "urn": "urn"
  },
  "category_tags": [
    "string"
  ]
}
Returns Examples
{
  "ai_risk_level_recommendation": {
    "explanation": "explanation",
    "recommended_risk_level": "UNASSIGNED"
  },
  "created_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "name": "name",
  "review_status": "PENDING",
  "risk_level": "UNASSIGNED",
  "source_type": "STATUS_PAGE",
  "url": "url",
  "urn": "urn",
  "vendor": {
    "created_at": "2019-12-27T18:11:19.117Z",
    "description": "description",
    "name": "name",
    "urn": "urn"
  },
  "category_tags": [
    "string"
  ]
}